[Fso] mdbus2 2.3.3 released, vala-dbus-binding-tool 0.4.0 released

Martin Jansa martin.jansa at gmail.com
Tue May 5 13:01:54 CEST 2015


On Fri, Apr 24, 2015 at 11:13:15AM +0200, Dr. Michael Lauer wrote:
> > I guess you should have released this version as 0.4.1 instead, as
> > announced in your earlier mail.
> 
> Right, for some reason I got confused with the version numbers.
> Anyways, as announced, I’m gonna put some more stress testing to
> this version and then release it as 1.0 very soon.

This snippet from vala-dbus-binding-tool configure.ac doesn't work:

 m4_define([vala-dbus-binding-tool_version], m4_if(vala-dbus-binding-tool_released, [1], [vala-dbus-binding-tool_base_version], [vala-dbus-binding-tool_base_version-vala-dbus-binding-tool_maybe_gitrev]))
+AC_INIT([vala-dbus-binding-tool], [vala-dbus-binding-tool_version], [fso at openphoenux.org], [vala-dbus-binding-tool])

"vala-dbus-binding-tool_version" string ends as the version and e.g. libfso-glib doesn't like it at all

| configure: error: Package requirements (vala-dbus-binding-tool-1.0 >= 0.4.0) were not met:
|
| Requested 'vala-dbus-binding-tool-1.0 >= 0.4.0' but version of Vala-DBus-Binding-Tool is vala-dbus-binding-tool_version

Regards,

> 
> Cheers,
> 
> :M:
> 
> _______________________________________________
> Fso mailing list
> Fso at openphoenux.org
> http://www.freesmartphone.org
> http://lists.goldelico.com/mailman/listinfo.cgi/fso

-- 
Martin 'JaMa' Jansa     jabber: Martin.Jansa at gmail.com


More information about the Fso mailing list